Bug 2053168

Summary: Ensure the core dynamic plugin SDK package has correct types and code
Product: OpenShift Container Platform Reporter: Vojtech Szocs <vszocs>
Component: Management ConsoleAssignee: Bryan Florkiewicz <bflorkie>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: low Docs Contact:
Priority: high    
Version: 4.11CC: aballant, aos-bugs, spadgett, yapei
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 10:49:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vojtech Szocs 2022-02-10 16:14:02 UTC
Description of problem:

When building "@openshift-console/dynamic-plugin-sdk" (a.k.a core) distributable package of Console dynamic plugin SDK, we should use relative paths in exports which target types & code within the Console "console-dynamic-plugin-sdk" monorepo package.


Steps to Reproduce:

1. clone Console repo
2. cd frontend ; yarn install
3. compare sources [1][2] with generated output in packages/console-dynamic-plugin-sdk/dist/core/lib

[1] packages/console-dynamic-plugin-sdk/src/api/core-api.ts
[2] packages/console-dynamic-plugin-sdk/src/api/dynamic-core-api.ts

Each static "export { .. } from 'path'" statement should use a relative "path" value, which causes TypeScript compiler to process the exported types & code.

Comment 3 Yadan Pei 2022-02-21 07:29:02 UTC
I can still see one export statement not using relative path in src/api/dynamic-core-api.ts
export {
  checkAccess,
  useAccessReview,
  useAccessReviewAllowed,
} from '@console/dynamic-plugin-sdk/src/app/components/utils/rbac';


Assigning back for confirmation

Comment 4 Bryan Florkiewicz 2022-05-25 21:08:28 UTC
@yapei sorry for the delay. I just confirmed the issue you pointed out in https://bugzilla.redhat.com/show_bug.cgi?id=2053168#c3 has been addressed in master via PR: https://github.com/openshift/console/pull/11116. Moving back to QA for confirmation.

Comment 5 Yadan Pei 2022-05-26 09:17:31 UTC
yes, the issue is fixed

moving to VERIFIED

Comment 7 errata-xmlrpc 2022-08-10 10:49:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069